Wepresent Wipg-1500 Firmware 1.0.3.7 Remote Code Execution Vulnerability

Summary

Wepresent Wipg-1500 Firmware is prone to a remote code-execution vulnerability.This allows a remote attacker to exploit this issue to execute arbitrary code in the context of the user running the affected application. Failed exploit attempts may result in a denial-of-service condition.

Credit:

The original article can be found at: http://www.wepresentwifi.com/


Details

Vulnerable Systems:
 * Wepresent Wipg-1500 Firmware 1.0.3.7

The WePresent WiPG-1500 device with firmware 1.0.3.7 has a manufacturer account that has a hardcoded username / password. Once the device is set to DEBUG mode, an attacker can connect to the device using the telnet protocol and log into the device with the ‘abarco’ hardcoded manufacturer account. This account is not documented, nor is the DEBUG feature or the use of telnetd on port tcp/5885.

CVE Information:
CVE-2017-6351

Disclosure Timeline:
Publish Date : 2017-03-05
Last Update Date : 2017-03-13

Categories: News